// =======================
// BATTLEZONE RAIN EDITOR
// =======================
//   ============================================
//   Oiled, polished and pinstriped by RocketmanX
//   ============================================
// |           Added Quick Pick Palette            |
//  -----------------------------------------------
//
//
//////////////////////////////////////////////
// CREATE QUICK PICK PALETTE WINDOW
//////////////////////////////////////////////

 CreateControl("RainColor", "WINDOW")
  {

	Geometry("RIGHT", "TOP");
	Pos(0, 10);
	Size(150, 190);
	ColorGroup("TVBACK1");

	CreateControl("RainColorTitle", "STATIC")
	{
		ColorGroup("WHITE");
		Pos(0, 2);
		Size(150, 10);
		Font("Small");
		JustifyText("CENTRE");
		Text("QP Palette");
		Style("TRANSPARENT");
	}

/////////////////////////////////////////////
// CREATE COLOR QUICK PICK PALETTE
/////////////////////////////////////////////

	CreateControl("RXRC001", "BUTTON")
	{
	    ColorGroup("RXPF001");
		Pos(70, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC001");
	}

	CreateControl("RXRC002", "BUTTON")
	{
	    ColorGroup("RXPF002");
		Pos(80, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC002");
    }

	CreateControl("RXRC003", "BUTTON")
	{
	    ColorGroup("RXPF003");
		Pos(90, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC003");
    }

    CreateControl("RXRC004", "BUTTON")
	{
	    ColorGroup("RXPF004");
		Pos(100, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC004");
    }

    CreateControl("RXRC005", "BUTTON")
	{
	    ColorGroup("RXPF005");
		Pos(110, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC005");
    }

    CreateControl("RXRC006", "BUTTON")
	{
	    ColorGroup("RXPF006");
		Pos(120, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC006");
    }

    CreateControl("RXRC007", "BUTTON")
	{
	    ColorGroup("RXPF007");
		Pos(130, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC007");
    }
    
////////
	CreateControl("RXRC008", "BUTTON")
	{
	    ColorGroup("RXPF008");
		Pos(60, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC008");
    }

    CreateControl("RXRC009", "BUTTON")
	{
	    ColorGroup("RXPF009");
		Pos(50, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC009");
    }

    CreateControl("RXRC010", "BUTTON")
	{
	    ColorGroup("RXPF010");
		Pos(40, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC010");
    }

    CreateControl("RXRC011", "BUTTON")
	{
	    ColorGroup("RXPF011");
		Pos(30, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC011");
    }

    CreateControl("RXRC012", "BUTTON")
	{
	    ColorGroup("RXPF012");
		Pos(20, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC012");
    }

    CreateControl("RXRC013", "BUTTON")
	{
	    ColorGroup("RXPF013");
		Pos(10, 80);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC013");
    }

	CreateControl("RXRC014", "BUTTON")
	{
	    ColorGroup("RXPF014");
		Pos(75, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC014");
    }

	CreateControl("RXRC015", "BUTTON")
	{
	    ColorGroup("RXPF015");
		Pos(85, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC015");
    }

    CreateControl("RXRC016", "BUTTON")
	{
	    ColorGroup("RXPF016");
		Pos(95, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC016");
    }

    CreateControl("RXRC017", "BUTTON")
	{
	    ColorGroup("RXPF017");
		Pos(105, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC017");
    }

    CreateControl("RXRC018", "BUTTON")
	{
	    ColorGroup("RXPF018");
		Pos(115, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC018");
    }

    CreateControl("RXRC019", "BUTTON")
	{
	    ColorGroup("RXPF019");
		Pos(125, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC019");
    }

    CreateControl("RXRC020", "BUTTON")
	{
	    ColorGroup("RXPF020");
		Pos(65, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC020");
    }

    CreateControl("RXRC021", "BUTTON")
	{
	    ColorGroup("RXPF021");
		Pos(55, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC021");
    }

    CreateControl("RXRC022", "BUTTON")
	{
	    ColorGroup("RXPF022");
		Pos(45, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC022");
    }

    CreateControl("RXRC023", "BUTTON")
	{
	    ColorGroup("RXPF023");
		Pos(35, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC023");
    }

    CreateControl("RXRC024", "BUTTON")
	{
	    ColorGroup("RXPF024");
		Pos(25, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC024");
    }

	CreateControl("RXRC025", "BUTTON")
	{
	    ColorGroup("RXPF025");
		Pos(15, 70);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC025");
    }
//
	CreateControl("RXRC025b", "BUTTON")
	{
	    ColorGroup("RXPF025b");
		Pos(125, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC025b");
    }

	CreateControl("RXRC026", "BUTTON")
	{
	    ColorGroup("RXPF026");
		Pos(115, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC026");
    }

	CreateControl("RXRC027", "BUTTON")
	{
	    ColorGroup("RXPF027");
		Pos(105, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC027");
    }

	CreateControl("RXRC028", "BUTTON")
	{
	    ColorGroup("RXPF028");
		Pos(95, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC028");
    }

	CreateControl("RXRC029", "BUTTON")
	{
	    ColorGroup("RXPF029");
		Pos(85, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC029");
    }

	CreateControl("RXRC030", "BUTTON")
	{
	    ColorGroup("RXPF030");
		Pos(75, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC030");
    }

	CreateControl("RXRC031", "BUTTON")
	{
	    ColorGroup("RXPF031");
		Pos(65, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC031");
    }

	CreateControl("RXRC032", "BUTTON")
	{
	    ColorGroup("RXPF032");
		Pos(55, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC032");
    }

	CreateControl("RXRC033", "BUTTON")
	{
	    ColorGroup("RXPF033");
		Pos(45, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC033");
    }

	CreateControl("RXRC034", "BUTTON")
	{
	    ColorGroup("RXPF034");
		Pos(35, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC034");
    }

	CreateControl("RXRC035", "BUTTON")
	{
	    ColorGroup("RXPF035");
		Pos(25, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC035");
    }

	CreateControl("RXRC036", "BUTTON")
	{
	    ColorGroup("RXPF036");
		Pos(15, 90);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC036");
    }
//
	CreateControl("RXRC037", "BUTTON")
	{
	    ColorGroup("RXPF037");
		Pos(120, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC037");
    }

	CreateControl("RXRC038", "BUTTON")
	{
	    ColorGroup("RXPF038");
		Pos(110, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC038");
    }

	CreateControl("RXRC039", "BUTTON")
	{
	    ColorGroup("RXPF039");
		Pos(100, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC039");
    }

	CreateControl("RXRC040", "BUTTON")
	{
	    ColorGroup("RXPF040");
		Pos(90, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC040");
    }

	CreateControl("RXRC041", "BUTTON")
	{
	    ColorGroup("RXPF041");
		Pos(80, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC041");
    }

	CreateControl("RXRC042", "BUTTON")
	{
	    ColorGroup("RXPF042");
		Pos(70, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC042");
    }

	CreateControl("RXRC043", "BUTTON")
	{
	    ColorGroup("RXPF043");
		Pos(60, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC043");
    }

	CreateControl("RXRC044", "BUTTON")
	{
	    ColorGroup("RXPF044");
		Pos(50, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC044");
    }

	CreateControl("RXRC045", "BUTTON")
	{
	    ColorGroup("RXPF045");
		Pos(40, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC045");
    }

	CreateControl("RXRC046", "BUTTON")
	{
	    ColorGroup("RXPF046");
		Pos(30, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC046");
    }

	CreateControl("RXRC047", "BUTTON")
	{
	    ColorGroup("RXPF047");
		Pos(20, 100);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC047");
    }
////
	CreateControl("RXRC048", "BUTTON")
	{
	    ColorGroup("RXPF048");
		Pos(115, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC048");
    }

	CreateControl("RXRC049", "BUTTON")
	{
	    ColorGroup("RXPF049");
		Pos(105, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC049");
    }

	CreateControl("RXRC050", "BUTTON")
	{
	    ColorGroup("RXPF050");
		Pos(95, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC050");
    }

	CreateControl("RXRC051", "BUTTON")
	{
	    ColorGroup("RXPF051");
		Pos(85, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC051");
    }

	CreateControl("RXRC052", "BUTTON")
	{
	    ColorGroup("RXPF052");
		Pos(75, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC052");
    }

	CreateControl("RXRC053", "BUTTON")
	{
	    ColorGroup("RXPF053");
		Pos(65, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC053");
    }

	CreateControl("RXRC054", "BUTTON")
	{
	    ColorGroup("RXPF054");
		Pos(55, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC054");
    }

	CreateControl("RXRC055", "BUTTON")
	{
	    ColorGroup("RXPF055");
		Pos(45, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC055");
    }

	CreateControl("RXRC056", "BUTTON")
	{
	    ColorGroup("RXPF056");
		Pos(35, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC056");
    }

	CreateControl("RXRC057", "BUTTON")
	{
	    ColorGroup("RXPF057");
		Pos(25, 110);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC057");
    }
////
	CreateControl("RXRC058", "BUTTON")
	{
	    ColorGroup("RXPF058");
		Pos(110, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC058");
    }

	CreateControl("RXRC059", "BUTTON")
	{
	    ColorGroup("RXPF059");
		Pos(100, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC059");
    }

	CreateControl("RXRC060", "BUTTON")
	{
	    ColorGroup("RXPF060");
		Pos(90, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC060");
    }

	CreateControl("RXRC061", "BUTTON")
	{
	    ColorGroup("RXPF061");
		Pos(80, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC061");
    }

	CreateControl("RXRC062", "BUTTON")
	{
	    ColorGroup("RXPF062");
		Pos(70, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC062");
    }

	CreateControl("RXRC063", "BUTTON")
	{
	    ColorGroup("RXPF063");
		Pos(60, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC063");
    }

	CreateControl("RXRC064", "BUTTON")
	{
	    ColorGroup("RXPF064");
		Pos(50, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC064");
    }

	CreateControl("RXRC065", "BUTTON")
	{
	    ColorGroup("RXPF065");
		Pos(40, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC065");
    }

	CreateControl("RXRC066", "BUTTON")
	{
	    ColorGroup("RXPF066");
		Pos(30, 120);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC066");
    }
/////////
	CreateControl("RXRC067", "BUTTON")
	{
	    ColorGroup("RXPF067");
		Pos(105, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC067");
    }

	CreateControl("RXRC068", "BUTTON")
	{
	    ColorGroup("RXPF068");
		Pos(95, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC068");
    }

	CreateControl("RXRC069", "BUTTON")
	{
	    ColorGroup("RXPF069");
		Pos(85, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC069");
    }

	CreateControl("RXRC070", "BUTTON")
	{
	    ColorGroup("RXPF070");
		Pos(75, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC070");
    }

	CreateControl("RXRC071", "BUTTON")
	{
	    ColorGroup("RXPF071");
		Pos(65, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC071");
    }

	CreateControl("RXRC072", "BUTTON")
	{
	    ColorGroup("RXPF072");
		Pos(55, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC072");
    }

	CreateControl("RXRC073", "BUTTON")
	{
	    ColorGroup("RXPF073");
		Pos(45, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC073");
    }

	CreateControl("RXRC074", "BUTTON")
	{
	    ColorGroup("RXPF074");
		Pos(35, 130);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC074");
    }
/////////
	CreateControl("RXRC075", "BUTTON")
	{
	    ColorGroup("RXPF075");
		Pos(100, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC075");
    }

	CreateControl("RXRC076", "BUTTON")
	{
	    ColorGroup("RXPF076");
		Pos(90, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC076");
    }

	CreateControl("RXRC077", "BUTTON")
	{
	    ColorGroup("RXPF077");
		Pos(80, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC077");
    }

	CreateControl("RXRC078", "BUTTON")
	{
	    ColorGroup("RXPF078");
		Pos(70, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC078");
    }

	CreateControl("RXRC079", "BUTTON")
	{
	    ColorGroup("RXPF079");
		Pos(60, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC079");
    }

	CreateControl("RXRC080", "BUTTON")
	{
	    ColorGroup("RXPF080");
		Pos(50, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC080");
    }

	CreateControl("RXRC081", "BUTTON")
	{
	    ColorGroup("RXPF081");
		Pos(40, 140);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC081");
    }
/////
	CreateControl("RXRC082", "BUTTON")
	{
	    ColorGroup("RXPF082");
		Pos(120, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC082");
    }
	CreateControl("RXRC083", "BUTTON")
	{
	    ColorGroup("RXPF083");
		Pos(110, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC083");
    }

	CreateControl("RXRC084", "BUTTON")
	{
	    ColorGroup("RXPF084");
		Pos(100, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC084");
    }

	CreateControl("RXRC085", "BUTTON")
	{
	    ColorGroup("RXPF085");
		Pos(90, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC085");
    }

	CreateControl("RXRC086", "BUTTON")
	{
	    ColorGroup("RXPF086");
		Pos(80, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC086");
    }

	CreateControl("RXRC087", "BUTTON")
	{
	    ColorGroup("RXPF087");
		Pos(70, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC087");
    }

	CreateControl("RXRC088", "BUTTON")
	{
	    ColorGroup("RXPF088");
		Pos(60, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC088");
    }

	CreateControl("RXRC089", "BUTTON")
	{
	    ColorGroup("RXPF089");
		Pos(50, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC089");
    }

	CreateControl("RXRC090", "BUTTON")
	{
	    ColorGroup("RXPF090");
		Pos(40, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC090");
    }

	CreateControl("RXRC091", "BUTTON")
	{
	    ColorGroup("RXPF091");
		Pos(30, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC091");
    }

	CreateControl("RXRC092", "BUTTON")
	{
	    ColorGroup("RXPF092");
		Pos(20, 60);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC092");
    }
////////
	CreateControl("RXRC093", "BUTTON")
	{
	    ColorGroup("RXPF093");
		Pos(115, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC093");
    }

	CreateControl("RXRC094", "BUTTON")
	{
	    ColorGroup("RXPF094");
		Pos(105, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC094");
    }

	CreateControl("RXRC095", "BUTTON")
	{
	    ColorGroup("RXPF095");
		Pos(95, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC095");
    }

	CreateControl("RXRC096", "BUTTON")
	{
	    ColorGroup("RXPF096");
		Pos(85, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC096");
    }

	CreateControl("RXRC097", "BUTTON")
	{
	    ColorGroup("RXPF097");
		Pos(75, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC097");
    }

	CreateControl("RXRC098", "BUTTON")
	{
	    ColorGroup("RXPF098");
		Pos(65, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC098");
    }

	CreateControl("RXRC099", "BUTTON")
	{
	    ColorGroup("RXPF099");
		Pos(55, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC099");
    }

	CreateControl("RXRC100", "BUTTON")
	{
	    ColorGroup("RXPF100");
		Pos(45, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC100");
    }

	CreateControl("RXRC101", "BUTTON")
	{
	    ColorGroup("RXPF101");
		Pos(35, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC101");
    }

	CreateControl("RXRC102", "BUTTON")
	{
	    ColorGroup("RXPF102");
		Pos(25, 50);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC102");
    }
////////
	CreateControl("RXRC103", "BUTTON")
	{
	    ColorGroup("RXPF103");
		Pos(110, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC103");
    }

	CreateControl("RXRC104", "BUTTON")
	{
	    ColorGroup("RXPF104");
		Pos(100, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC104");
    }

	CreateControl("RXRC105", "BUTTON")
	{
	    ColorGroup("RXPF105");
		Pos(90, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC105");
    }

	CreateControl("RXRC106", "BUTTON")
	{
	    ColorGroup("RXPF106");
		Pos(80, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC106");
    }

	CreateControl("RXRC107", "BUTTON")
	{
	    ColorGroup("RXPF107");
		Pos(70, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC107");
    }

	CreateControl("RXRC108", "BUTTON")
	{
	    ColorGroup("RXPF108");
		Pos(60, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC108");
    }

	CreateControl("RXRC109", "BUTTON")
	{
	    ColorGroup("RXPF109");
		Pos(50, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC109");
    }

	CreateControl("RXRC110", "BUTTON")
	{
	    ColorGroup("RXPF110");
		Pos(40, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC110");
    }

	CreateControl("RXRC111", "BUTTON")
	{
	    ColorGroup("RXPF111");
		Pos(30, 40);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC111");
    }
/////////
	CreateControl("RXRC112", "BUTTON")
	{
	    ColorGroup("RXPF112");
		Pos(105, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC112");
    }

	CreateControl("RXRC113", "BUTTON")
	{
	    ColorGroup("RXPF113");
		Pos(95, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC113");
    }

	CreateControl("RXRC114", "BUTTON")
	{
	    ColorGroup("RXPF114");
		Pos(85, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC114");
    }

	CreateControl("RXRC115", "BUTTON")
	{
	    ColorGroup("RXPF115");
		Pos(75, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC115");
    }

	CreateControl("RXRC116", "BUTTON")
	{
	    ColorGroup("RXPF116");
		Pos(65, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC116");
    }

	CreateControl("RXRC117", "BUTTON")
	{
	    ColorGroup("RXPF117");
		Pos(55, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC117");
    }

	CreateControl("RXRC118", "BUTTON")
	{
	    ColorGroup("RXPF118");
		Pos(45, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC118");
    }

	CreateControl("RXRC119", "BUTTON")
	{
	    ColorGroup("RXPF119");
		Pos(35, 30);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC119");
    }
//////////////
	CreateControl("RXRC120", "BUTTON")
	{
	    ColorGroup("RXPF120");
		Pos(100, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC120");
    }

	CreateControl("RXRC121", "BUTTON")
	{
	    ColorGroup("RXPF121");
		Pos(90, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC121");
    }

	CreateControl("RXRC122", "BUTTON")
	{
	    ColorGroup("RXPF122");
		Pos(80, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC122");
    }

	CreateControl("RXRC123", "BUTTON")
	{
	    ColorGroup("RXPF123");
		Pos(70, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC123");
    }

	CreateControl("RXRC124", "BUTTON")
	{
	    ColorGroup("RXPF124");
		Pos(60, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC124");
    }

	CreateControl("RXRC125", "BUTTON")
	{
	    ColorGroup("RXPF125");
		Pos(50, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC125");
    }

	CreateControl("RXRC126", "BUTTON")
	{
	    ColorGroup("RXPF126");
		Pos(40, 20);
		Size(0, 5);
		BorderSize(5);
		BevelSize(5);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC126");
    }
////////////////
// Greys
////////////////

	CreateControl("RXRC127", "BUTTON")
	{
	    ColorGroup("RXPF127");
		Pos(134, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC127");
    }

	CreateControl("RXRC128", "BUTTON")
	{
	    ColorGroup("RXPF128");
		Pos(126, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC128");
    }

	CreateControl("RXRC129", "BUTTON")
	{
	    ColorGroup("RXPF129");
		Pos(118, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC129");
    }

	CreateControl("RXRC130", "BUTTON")
	{
	    ColorGroup("RXPF130");
		Pos(110, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC130");
    }

	CreateControl("RXRC131", "BUTTON")
	{
	    ColorGroup("RXPF131");
		Pos(102, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC131");
    }

	CreateControl("RXRC132", "BUTTON")
	{
	    ColorGroup("RXPF132");
		Pos(94, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC132");
    }

	CreateControl("RXRC133", "BUTTON")
	{
	    ColorGroup("RXPF133");
		Pos(86, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC133");
    }

	CreateControl("RXRC134", "BUTTON")
	{
	    ColorGroup("RXPF134");
		Pos(78, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC134");
    }

	CreateControl("RXRC135", "BUTTON")
	{
	    ColorGroup("RXPF135");
		Pos(70, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC135");
    }

	CreateControl("RXRC136", "BUTTON")
	{
	    ColorGroup("RXPF136");
		Pos(62, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC136");
    }

	CreateControl("RXRC137", "BUTTON")
	{
	    ColorGroup("RXPF137");
		Pos(54, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC137");
    }

	CreateControl("RXRC138", "BUTTON")
	{
	    ColorGroup("RXPF138");
		Pos(46, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC138");
    }

	CreateControl("RXRC139", "BUTTON")
	{
	    ColorGroup("RXPF139");
		Pos(38, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC139");
    }

	CreateControl("RXRC140", "BUTTON")
	{
	    ColorGroup("RXPF140");
		Pos(30, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC140");
    }

	CreateControl("RXRC141", "BUTTON")
	{
	    ColorGroup("RXPF141");
		Pos(22, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC141");
    }

	CreateControl("RXRC142", "BUTTON")
	{
	    ColorGroup("RXPF142");
		Pos(14, 160);
		Size(6, 12);
		BorderSize(0);
		BevelSize(0);
		Style("ROLLOVER");
       	Cursor("Highlight");
		NotifyParent("Button::Press", "RXRC142");
    }
	
	OnEvent("RXRC001")
	
	{	    
		Cmd("rain.color 255 255 255");
	}	

    OnEvent("RXRC002")
	{
	    Cmd("rain.color 255 233 233");
	}	
	OnEvent("RXRC003")
	{
		Cmd("rain.color 255 160 160");
	}
	OnEvent("RXRC004")
	{
		Cmd("rain.color 255 87 87");
		
	}
	OnEvent("RXRC005")
	{
		Cmd("rain.color 255 14 14");
		
	}
	OnEvent("RXRC006")
	{
		Cmd("rain.color 196 0 0");
	}
	OnEvent("RXRC007")
	{
		Cmd("rain.color 123 0 0");
		
	}
	OnEvent("RXRC008")
	{
		Cmd("rain.color 233 255 255");
		
	}
    OnEvent("RXRC009")
	{
		Cmd("rain.color 160 255 255");
		
 	}
    OnEvent("RXRC010")
	{
		Cmd("rain.color 87 255 255");
		
	}
    OnEvent("RXRC011")
	{
		Cmd("rain.color 14 255 255");
		
	}
    OnEvent("RXRC012")
	{
		Cmd("rain.color 0 196 196");
		
	}
    OnEvent("RXRC013")
	{
		Cmd("rain.color 0 123 123");
		
	}
	
    OnEvent("RXRC014")
	{
		Cmd("rain.color 255 233 254");
		
	}
	OnEvent("RXRC015")
	{
		Cmd("rain.color 255 160 206");
		
	}
    OnEvent("RXRC016")
	{
		Cmd("rain.color 255 87 137");
		
	}
    OnEvent("RXRC017")
	{
		Cmd("rain.color 255 14 66");
		
	}
    OnEvent("RXRC018")
	{
		Cmd("rain.color 196 0 32");
		
	}
    OnEvent("RXRC019")
	{
		Cmd("rain.color 123 0 16");
		
	}
    OnEvent("RXRC020")
	{
		Cmd("rain.color 233 233 255");
		
	}
    OnEvent("RXRC021")
	{
		Cmd("rain.color 160 207 255");
		
	}
    OnEvent("RXRC022")
	{
		Cmd("rain.color 87 201 255");
		
	}
    OnEvent("RXRC023")
	{
		Cmd("rain.color 14 198 255");
		
	}
    OnEvent("RXRC024")
	{
		Cmd("rain.color 0 160 196");
		
	}
	OnEvent("RXRC025")
	{
		Cmd("rain.color 0 105 123");
		
	}
	OnEvent("RXRC025b")
	{
		Cmd("rain.color 123 16 0");
		
	}
	OnEvent("RXRC026")
	{
		Cmd("rain.color 196 32 0");
		
	}
	OnEvent("RXRC027")
	{
		Cmd("rain.color 255 66 14");
		
	}
	OnEvent("RXRC028")
	{
		Cmd("rain.color 255 137 87");
		
	}
	OnEvent("RXRC029")
	{
		Cmd("rain.color 255 206 160");
		
	}
	OnEvent("RXRC030")
	{
		Cmd("rain.color 255 254 233");
		
	}
	OnEvent("RXRC031")
	{
		Cmd("rain.color 233 255 233");
		
	}
	OnEvent("RXRC032")
	{
		Cmd("rain.color 160 255 207");
		
	}
	OnEvent("RXRC033")
	{
		Cmd("rain.color 87 255 201");
		
	}
	OnEvent("RXRC034")
	{
		Cmd("rain.color 14 255 198");
		
	}
	OnEvent("RXRC035")
	{
		Cmd("rain.color 0 196 160");
		
	}
	OnEvent("RXRC036")
	{
		Cmd("rain.color 0 123 105");
		
	}
	OnEvent("RXRC037")
	{
		Cmd("rain.color 123 37 0");
		
	}
	OnEvent("RXRC038")
	{
		Cmd("rain.color 196 75 0");
		
	}
	OnEvent("RXRC039")
	{
		Cmd("rain.color 255 130 14");
		
	}
	OnEvent("RXRC040")
	{
		Cmd("rain.color 255 199 87");
		
	}
	OnEvent("RXRC041")
	{
		Cmd("rain.color 255 253 160");
		
	}
	OnEvent("RXRC042")
	{
		Cmd("rain.color 207 255 160");
		
	}
	OnEvent("RXRC043")
	{
		Cmd("rain.color 160 255 160");
		
	}
	OnEvent("RXRC044")
	{
		Cmd("rain.color 87 255 140");
		
	}
	OnEvent("RXRC045")
	{
		Cmd("rain.color 14 255 134");
		
	}
	OnEvent("RXRC046")
	{
		Cmd("rain.color 0 196 118");
		
	}
	OnEvent("RXRC047")
	{
		Cmd("rain.color 0 123 84");
		
	}

/////

	OnEvent("RXRC048")
	{
		Cmd("rain.color 123 59 0");
		
	}
	OnEvent("RXRC049")
	{
		Cmd("rain.color 196 118 0");
		
	}
	OnEvent("RXRC050")
	{
		Cmd("rain.color 255 194 14");
		
	}
	OnEvent("RXRC051")
	{
		Cmd("rain.color 255 252 87");
		
	}
	OnEvent("RXRC052")
	{
		Cmd("rain.color 204 255 87");
		
	}
	OnEvent("RXRC053")
	{
		Cmd("rain.color 140 255 87");
		
	}
	OnEvent("RXRC054")
	{
		Cmd("rain.color 87 255 87");
		
	}
	OnEvent("RXRC055")
	{
		Cmd("rain.color 14 255 70");
		
	}
	OnEvent("RXRC056")
	{
		Cmd("rain.color 0 196 75");
		
	}
	OnEvent("RXRC057")
	{
		Cmd("rain.color 0 123 61");
		
	}

/////

	OnEvent("RXRC058")
	{
		Cmd("rain.color 123 82 0");
		
	}
	OnEvent("RXRC059")
	{
		Cmd("rain.color 196 157 0");
		
	}
	OnEvent("RXRC060")
	{
		Cmd("rain.color 255 250 14");
		
	}
	OnEvent("RXRC061")
	{
		Cmd("rain.color 202 255 14");
		
	}
	OnEvent("RXRC062")
	{
		Cmd("rain.color 134 255 14");
		
	}
	OnEvent("RXRC063")
	{
		Cmd("rain.color 70 255 14");
		
	}
	OnEvent("RXRC064")
	{
		Cmd("rain.color 14 255 14");
		
	}
	OnEvent("RXRC065")
	{
		Cmd("rain.color 0 196 36");
		
	}
	OnEvent("RXRC066")
	{
		Cmd("rain.color 0 123 39");
		
	}

//////

	OnEvent("RXRC067")
	{
		Cmd("rain.color 123 103 0");
		
	}
	OnEvent("RXRC068")
	{
		Cmd("rain.color 196 193 0");
		
	}
	OnEvent("RXRC069")
	{
		Cmd("rain.color 163 196 0");
		
	}
	OnEvent("RXRC070")
	{
		Cmd("rain.color 121 196 0");
		
	}
	OnEvent("RXRC071")
	{
		Cmd("rain.color 78 196 0");
		
	}
	OnEvent("RXRC072")
	{
		Cmd("rain.color 36 196 0");
		
	}
	OnEvent("RXRC073")
	{
		Cmd("rain.color 0 196 0");
		
	}
	OnEvent("RXRC074")
	{
		Cmd("rain.color 0 123 18");
		
	}

////////

	OnEvent("RXRC075")
	{
		Cmd("rain.color 123 121 0");
		
	}
	OnEvent("RXRC076")
	{
		Cmd("rain.color 107 123 0");
		
	}
	OnEvent("RXRC077")
	{
		Cmd("rain.color 86 123 0");
		
	}
	OnEvent("RXRC078")
	{
		Cmd("rain.color 61 123 0");
		
	}
	OnEvent("RXRC079")
	{
		Cmd("rain.color 39 123 0");
		
	}
	OnEvent("RXRC080")
	{
		Cmd("rain.color 18 123 0");
		
	}
	OnEvent("RXRC081")
	{
		Cmd("rain.color 0 123 0");
		
	}

///////

	OnEvent("RXRC082")
	{
		Cmd("rain.color 123 0 37");
		
	}
	OnEvent("RXRC083")
	{
		Cmd("rain.color 196 0 75");
		
	}
	OnEvent("RXRC084")
	{
		Cmd("rain.color 255 14 130");
		
	}
	OnEvent("RXRC085")
	{
		Cmd("rain.color 255 87 199");
		
	}
	OnEvent("RXRC086")
	{
		Cmd("rain.color 255 160 253");
		
	}
	OnEvent("RXRC087")
	{
		Cmd("rain.color 207 160 255");
		
	}
	OnEvent("RXRC088")
	{
		Cmd("rain.color 160 160 255");
	
	}
	OnEvent("RXRC089")
	{
		Cmd("rain.color 87 140 255");
		
	}
	OnEvent("RXRC090")
	{
		Cmd("rain.color 14 134 255");
		
	}
	OnEvent("RXRC091")
	{
		Cmd("rain.color 0 118 196");
		
	}
	OnEvent("RXRC092")
	{
		Cmd("rain.color 0 84 123");
		
	}

//////

	OnEvent("RXRC093")
	{
		Cmd("rain.color 123 0 59");
		
	}
	OnEvent("RXRC094")
	{
		Cmd("rain.color 196 0 118");
		
	}
	OnEvent("RXRC095")
	{
		Cmd("rain.color 255 14 194");
		
	}
	OnEvent("RXRC096")
	{
		Cmd("rain.color 255 87 252");
		
	}
	OnEvent("RXRC097")
	{
		Cmd("rain.color 204 87 255");
	
	}
	OnEvent("RXRC098")
	{
		Cmd("rain.color 140 87 255");
		
	}
	OnEvent("RXRC99")
	{
		Cmd("rain.color 87 87 255");
		
	}
	OnEvent("RXRC100")
	{
		Cmd("rain.color 140 70 255");
		
	}
	OnEvent("RXRC101")
	{
		Cmd("rain.color 0 75 196");
		
	}
	OnEvent("RXRC102")
	{
		Cmd("rain.color 0 61 123");
		
	}

///////

	OnEvent("RXRC103")
	{
		Cmd("rain.color 123 0 82");
		
	}
	OnEvent("RXRC104")
	{
		Cmd("rain.color 196 0 157");
		
	}
	OnEvent("RXRC105")
	{
		Cmd("rain.color 255 14 250");
		
	}
	OnEvent("RXRC106")
	{
		Cmd("rain.color 204 14 255");
		
	}
	OnEvent("RXRC107")
	{
		Cmd("rain.color 134 14 255");
		
	}
	OnEvent("RXRC108")
	{
		Cmd("rain.color 70 14 255");
		
	}
	OnEvent("RXRC109")
	{
		Cmd("rain.color 14 14 255");
		
	}
	OnEvent("RXRC110")
	{
		Cmd("rain.color 0 36 196");
		
	}
	OnEvent("RXRC111")
	{
		Cmd("rain.color 0 39 123");
		
	}

////////

	OnEvent("RXRC112")
	{
		Cmd("rain.color 123 0 103");
		
	}
	OnEvent("RXRC113")
	{
		Cmd("rain.color 196 0 193");
		
	}
	OnEvent("RXRC114")
	{
		Cmd("rain.color 163 0 196");
		
	}
	OnEvent("RXRC115")
	{
		Cmd("rain.color 121 0 196");
		
	}
	OnEvent("RXRC116")
	{
		Cmd("rain.color 78 0 196");
		
	}
	OnEvent("RXRC117")
	{
		Cmd("rain.color 36 0 196");
		
	}
	OnEvent("RXRC118")
	{
		Cmd("rain.color 0 0 196");
		
	}
	OnEvent("RXRC119")
	{
		Cmd("rain.color 0 18 123");
		
	}

////////

	OnEvent("RXRC120")
	{
		Cmd("rain.color 123 0 121");
		
	}
	OnEvent("RXRC121")
	{
		Cmd("rain.color 107 0 123");
		
	}
	OnEvent("RXRC122")
	{
		Cmd("rain.color 86 0 123");
		
	}
	OnEvent("RXRC123")
	{
		Cmd("rain.color 61 0 123");
		
	}
	OnEvent("RXRC124")
	{
		Cmd("rain.color 39 0 123");
		
	}
	OnEvent("RXRC125")
	{
		Cmd("rain.color 18 0 123");
		
	}
	OnEvent("RXRC126")
	{
		Cmd("rain.color 0 0 123");
		
	}

///////
//Greys
///////

	OnEvent("RXRC127")
	{
		Cmd("rain.color 0 0 0");
		
	}
	OnEvent("RXRC128")
	{
		Cmd("rain.color 30 30 30");
		
	}
	OnEvent("RXRC129")
	{
		Cmd("rain.color 45 45 45");
		
	}
	OnEvent("RXRC130")
	{
		Cmd("rain.color 60 60 60");
		
	}
	OnEvent("RXRC131")
	{
		Cmd("rain.color 75 75 75");
		
	}
	OnEvent("RXRC132")
	{
		Cmd("rain.color 90 90 90");
		
	}
	OnEvent("RXRC133")
	{
		Cmd("rain.color 105 105 105");
		
	}
	OnEvent("RXRC134")
	{
		Cmd("rain.color 120 120 120");
		
	}
	OnEvent("RXRC135")
	{
		Cmd("rain.color 135 135 135");
		
	}
	OnEvent("RXRC136")
	{
		Cmd("rain.color 150 150 150");
		
	}
	OnEvent("RXRC137")
	{
		Cmd("rain.color 165 165 165");
		
	}
	OnEvent("RXRC138")
	{
		Cmd("rain.color 180 180 180");
		
	}
	OnEvent("RXRC139")
	{
		Cmd("rain.color 195 195 195");
		
	}
	OnEvent("RXRC140")
	{
		Cmd("rain.color 210 210 210");
		
	}
	OnEvent("RXRC141")
	{
		Cmd("rain.color 225 225 225");
		
	}
	OnEvent("RXRC142")
	{
		Cmd("rain.color 240 240 240");
		
	}
}
/////////////////////////////////
//         by Lizard
// CREATE THE RAIN EDITOR WINDOW
/////////////////////////////////

    CreateControl("EditRain", "WINDOW")
    {
	    Pos(2, 10);
	    Size(105, 504);

	    ColorGroup("BACKGROUND");

	CreateControl("RaintypeTitle", "STATIC")
	{
		Pos(5, 5);
		Size(80, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Precipitation Type");
		Style("TRANSPARENT");
	}

	CreateControl("RainDrop1", "BUTTON")
	{
		Pos(5, 25);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Rain");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDrop1");
	}

	OnEvent("RainDrop1")
	{
		Cmd("rain.texture raindrop.tga");
	}


	CreateControl("RainDrop2", "BUTTON")
	{
		Pos(40, 25);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Snow");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDrop2");
	}

	OnEvent("RainDrop2")
	{
		Cmd("rain.texture snowflake.tga");
	}

	CreateControl("RainDrop3", "BUTTON")
	{
		Pos(75, 25);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Dust");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDrop3");
	}

	OnEvent("RainDrop3")
	{
		Cmd("rain.texture lightflare.tga");
	}

	CreateControl("RainspeedTitle", "STATIC")
	{
		Pos(5, 45);
		Size(80, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Rain Speed Select");
		Style("TRANSPARENT");
	}

	CreateControl("Rainspeed1", "BUTTON")
	{
		Pos(5, 65);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("5");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainspeed1");
	}

	OnEvent("Rainspeed1")
	{
		Cmd("rain.speed 5");
	}
	CreateControl("Rainspeed2", "BUTTON")
	{
		Pos(30, 65);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("10");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainspeed2");
	}

	OnEvent("Rainspeed2")
	{
		Cmd("rain.speed 10");
	}

	CreateControl("Rainspeed3", "BUTTON")
	{
		Pos(55, 65);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("15");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainspeed3");
	}

	OnEvent("Rainspeed3")
	{
		Cmd("rain.speed 15");
	}
	CreateControl("Rainspeed4", "BUTTON")
	{
		Pos(80, 65);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("20");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainspeed4");
	}

	OnEvent("Rainspeed4")
	{
		Cmd("rain.speed 20");
	}


	CreateControl("RainsizeTitle", "STATIC")
	{
		Pos(5, 85);
		Size(80, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Rain Size Select");
		Style("TRANSPARENT");
	}

	CreateControl("Rainsize1", "BUTTON")
	{
		Pos(5, 105);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text(".2x.2");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize1");
	}

	OnEvent("Rainsize1")
	{
		Cmd("rain.size .2 .2");
	}
	CreateControl("Rainsize2", "BUTTON")
	{
		Pos(40, 105);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text(".5x.5");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize2");
	}

	OnEvent("Rainsize2")
	{
		Cmd("rain.size .5 .5");
	}

	CreateControl("Rainsize3", "BUTTON")
	{
		Pos(75, 105);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text(".8x.8");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize3");
	}

	OnEvent("Rainsize3")
	{
		Cmd("rain.size .8 .8");
	}

	CreateControl("Rainsize4", "BUTTON")
	{
		Pos(5, 125);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("1x1");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize4");
	}

	OnEvent("Rainsize4")
	{
		Cmd("rain.size 1 1");
	}

	CreateControl("Rainsize5", "BUTTON")
	{
		Pos(40, 125);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("2x2");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize5");
	}

	OnEvent("Rainsize5")
	{
		Cmd("rain.size 2 2");
	}

	CreateControl("Rainsize6", "BUTTON")
	{
		Pos(75, 125);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("3x3");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize6");
	}

	OnEvent("Rainsize6")
	{
		Cmd("rain.size 3 3");
	}

	CreateControl("Rainsize7", "BUTTON")
	{
		Pos(5, 145);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("4x4");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize7");
	}

	OnEvent("Rainsize7")
	{
		Cmd("rain.size 4 4");
	}

	CreateControl("Rainsize8", "BUTTON")
	{
		Pos(40, 145);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text(".2x8");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize8");
	}

	OnEvent("Rainsize8")
	{
		Cmd("rain.size .2 8");
	}

	CreateControl("Rainsize9", "BUTTON")
	{
		Pos(75, 145);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text(".3x12");
		Cursor("Highlight");

		NotifyParent("Button::Press", "Rainsize9");
	}

	OnEvent("Rainsize9")
	{
		Cmd("rain.size .3 12");
	}


	CreateControl("RainBlockTitle", "STATIC")
	{
		Pos(5, 165);
		Size(80, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Block Size Select");
		Style("TRANSPARENT");
	}

	CreateControl("RainBlock1", "BUTTON")
	{
		Pos(5, 185);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("50");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainBlock1");
	}

	OnEvent("RainBlock1")
	{
		Cmd("rain.blocksize 50");
	}

	CreateControl("RainBlock2", "BUTTON")
	{
		Pos(40, 185);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("100");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainBlock2");
	}

	OnEvent("RainBlock2")
	{
		Cmd("rain.blocksize 100");
	}

	CreateControl("RainBlock3", "BUTTON")
	{
		Pos(75, 185);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("150");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainBlock3");
	}

	OnEvent("RainBlock3")
	{
		Cmd("rain.blocksize 150");
	}

	CreateControl("RainCountTitle", "STATIC")
	{
		Pos(5, 205);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Rain Density Select");
		Style("TRANSPARENT");
	}

	CreateControl("RainCount1", "BUTTON")
	{
		Pos(5, 225);
		Size(10, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("1");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainCount1");
	}

	OnEvent("RainCount1")
	{
		Cmd("rain.count 8 8 5");
	}

	CreateControl("RainCount2", "BUTTON")
	{
		Pos(25, 225);
		Size(10, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("2");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainCount2");
	}

	OnEvent("RainCount2")
	{
		Cmd("rain.count 8 8 10");
	}

	CreateControl("RainCount3", "BUTTON")
	{
		Pos(45, 225);
		Size(10, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("3");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainCount3");
	}

	OnEvent("RainCount3")
	{
		Cmd("rain.count 8 8 16");
	}
	CreateControl("RainCount4", "BUTTON")
	{
		Pos(65, 225);
		Size(10, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("4");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainCount4");
	}

	OnEvent("RainCount4")
	{
		Cmd("rain.count 16 16 5");
	}
	CreateControl("RainCount5", "BUTTON")
	{
		Pos(85, 225);
		Size(10, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("5");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainCount5");
	}

	OnEvent("RainCount5")
	{
		Cmd("rain.count 16 16 16");
	}

	CreateControl("RainDirectTitle", "STATIC")
	{
		Pos(5, 245);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Rain Direction Select");
		Style("TRANSPARENT");
	}

	CreateControl("RainDir1", "BUTTON")
	{
		Pos(5, 265);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("0");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDir1");
	}

	OnEvent("RainDir1")
	{
		Cmd("rain.direction 0");
	}

	CreateControl("RainDir2", "BUTTON")
	{
		Pos(30, 265);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("20");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDir2");
	}

	OnEvent("RainDir2")
	{
		Cmd("rain.direction 20");
	}

	CreateControl("RainDir3", "BUTTON")
	{
		Pos(55, 265);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("40");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDir3");
	}

	OnEvent("RainDir3")
	{
		Cmd("rain.Direction 40");
	}
	CreateControl("RainDir4", "BUTTON")
	{
		Pos(80, 265);
		Size(15, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("60");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainDir4");
	}

	OnEvent("RainDir4")
	{
		Cmd("rain.Direction 60");
	}


	CreateControl("RainOnTitle", "STATIC")
	{
		Pos(5, 285);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("On Period ");
		Style("TRANSPARENT");
	}

	CreateControl("RainOn1", "BUTTON")
	{
		Pos(5, 305);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("20");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainOn1");
	}

	OnEvent("RainOn1")
	{
		Cmd("rain.onperiod 20");
	}

	CreateControl("RainOn2", "BUTTON")
	{
		Pos(40, 305);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("40");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainOn2");
	}

	OnEvent("RainOn2")
	{
		Cmd("rain.onperiod 40");
	}
	CreateControl("RainOn3", "BUTTON")
	{
		Pos(75, 305);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("60");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainOn3");
	}

	OnEvent("RainOn3")
	{
		Cmd("rain.onperiod 60");
	}

	CreateControl("RainOffTitle", "STATIC")
	{
		Pos(5, 325);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Off Period ");
		Style("TRANSPARENT");
	}

	CreateControl("RainOff1", "BUTTON")
	{
		Pos(5, 345);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("20");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainOff1");
	}

	OnEvent("RainOff1")
	{
		Cmd("rain.offperiod 20");
	}

	CreateControl("RainOff2", "BUTTON")
	{
		Pos(40, 345);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("40");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainOff2");
	}

	OnEvent("RainOff2")
	{
		Cmd("rain.offperiod 40");
	}

	CreateControl("RainOff3", "BUTTON")
	{
		Pos(75, 345);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("60");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainOff3");
	}

	OnEvent("RainOff3")
	{
		Cmd("rain.offperiod 60");
	}

	CreateControl("RainTranTitle", "STATIC")
	{
		Pos(5, 365);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Transition Period ");
		Style("TRANSPARENT");
	}

	CreateControl("RainTran1", "BUTTON")
	{
		Pos(5, 385);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("5");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainTran1");
	}

	OnEvent("RainTran1")
	{
		Cmd("rain.tranperiod 5");
	}

	CreateControl("RainTran2", "BUTTON")
	{
		Pos(40, 385);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("10");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainTran2");
	}

	OnEvent("RainTran2")
	{
		Cmd("rain.tranperiod 10");
	}
	CreateControl("RainTran3", "BUTTON")
	{
		Pos(75, 385);
		Size(25, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("15");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainTran3");
	}

	OnEvent("RainTran3")
	{
		Cmd("rain.tranperiod 15");
	}

    CreateControl("RainColor", "BUTTON")
	{
	    ColorGroup("TVBUTTON1");
		Pos(10, 405);
		Size(80, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Rain Color Palette");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainColor");
	}

	CreateControl("RainswitchTitle", "STATIC")
	{
		Pos(5, 424);
		Size(100, 10);
		Font("TINY");
		JustifyText("LEFT");
		Text("Rain On/Off/Toggle ");
		Style("TRANSPARENT");
	}

	CreateControl("RainSw1", "BUTTON")
	{
		Pos(5, 444);
		Size(35, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Enable");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainSw1");
	}

	OnEvent("RainSw1")
	{
		Cmd("rain.enable 1");
	}

	CreateControl("RainSw2", "BUTTON")
	{
		Pos(50, 444);
		Size(35, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Disable");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainSw2");
	}

	OnEvent("RainSw2")
	{
		Cmd("rain.enable 0");
	}
	CreateControl("RainSw3", "BUTTON")
	{
		Pos(5, 464);
		Size(35, 9);
		BorderSize(3);
		BevelSize(3);
		Font("TINY");
		Style("ROLLOVER", "OUTLINE");
       	Text("Toggle");
		Cursor("Highlight");

		NotifyParent("Button::Press", "RainSw3");
	}

    OnEvent("Control::Deactivate")
	{
	   Deactivate("|RainColor");
	 }
	
	OnEvent("None")
	{
	   Deactivate("|RainColor");	   
	}
	
	OnEvent("RainColor")
	{
	   Activate("|RainColor");	   
	}
	OnEvent("RainSw3")
	{
		Cmd("rain.toggle");
	}


}
